### Enumeration

# Soup Expectation

since: 3.0

#### Declaration

    flags Soup.Expectation

#### Description [src]

Represents the parsed value of the “Expect” header.

Available since: 3.0

#### Members

`SOUP_EXPECTATION_UNRECOGNIZED`

  Any unrecognized expectation.

  - Value: `1`
  - Nickname: `unrecognized`
  - Available since: 3.0
`SOUP_EXPECTATION_CONTINUE`

  “100-continue”

  - Value: `2`
  - Nickname: `continue`
  - Available since: 3.0